<div style="margin-top: 20px;" >
    <div class="container">
        <div class="row maximum-width-p-list">
            <p-dataList 
                [value]="vehicleSalesOrders" 
                [paginator]="true" 
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idOrder"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
            >
            <p-header>
                VSO
                <jhi-alert></jhi-alert>
            </p-header>
                <ng-template let-rowData pTemplate="item">
                    <div *ngIf="rowData.currentStatus === 10 || rowData.currentStatus === 11">
                        <div class="ui-g ui-fluid border-item">
                            <div class="ui-g-6 ui-md-6">
                                <div class="ui-g">
                                    <div class="ui-g-12 ui-sm-12">
                                            {{'mpmApp.vehicleSalesOrder.kodeVSO'|translate}} : {{rowData.orderNumber}} / {{rowData.customer.partyName | uppercase }}
                                    </div>
                                    <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.date'|translate}} : {{rowData.dateOrder | date}}</div>
                                    <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.status'|translate}} : {{getDescription(rowData.currentStatus)}}</div>
                                </div>
                            </div>
                            <div class="ui-g-6 ui-md-6" style="text-align:right">
                                <div class="ui-g">                                
                                    <div class="ui-g-12 ui-sm-12">
                                        <button pButton type="submit"
                                                [routerLink]="['../vehicle-sales-order-approve-kacab/'+ rowData.idOrder ]"
                                                icon="fa-pencil"
                                                class="flat-button"
                                                pTooltip="Detail">
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </p-dataList>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>